Skip to main content
POST
/
boosted-pages
/
create
Create Boosted Page Campaign from Preset
curl --request POST \
  --url https://api.boosterberg.com-beta.com/v1/boosted-pages/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "preset_id": "1",
  "page_id": "107226870964400",
  "budget": "50",
  "targeting": {
    "geo_locations": {
      "countries": [
        "US"
      ],
      "cities": [
        {
          "key": "2418779",
          "name": "New York",
          "region": "New York",
          "country": "US",
          "radius": 25,
          "distance_unit": "mile"
        }
      ],
      "location_types": [
        "home",
        "recent"
      ]
    },
    "age_min": 21,
    "age_max": 55,
    "genders": [
      1,
      2
    ],
    "locales": [
      6
    ],
    "flexible_spec": [
      {
        "interests": [
          {
            "id": "6003107902433",
            "name": "Travel"
          },
          {
            "id": "6003397425735",
            "name": "Outdoor recreation"
          }
        ],
        "behaviors": [
          {
            "id": "6002714895372",
            "name": "Frequent Travelers"
          }
        ]
      }
    ],
    "exclusions": {
      "interests": [
        {
          "id": "6003020834693",
          "name": "Business travel"
        }
      ]
    },
    "publisher_platforms": [
      "facebook",
      "instagram"
    ],
    "facebook_positions": [
      "feed",
      "video_feeds"
    ],
    "instagram_positions": [
      "stream",
      "story",
      "reels"
    ],
    "device_platforms": [
      "mobile",
      "desktop"
    ],
    "targeting_automation": {
      "advantage_audience": 0
    }
  },
  "instagram_id": 17841433491511988,
  "hashtag": "#ad1",
  "post_ids": [
    "107226870964400_123456789"
  ],
  "cta": "<string>",
  "cta_url": "<string>",
  "dark_posts": "when_needed",
  "end_date": "<string>"
}
'
true

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
preset_id
integer
required
Example:

"1"

page_id
integer
required
Example:

"107226870964400"

budget
number<float>
required
Example:

"50"

targeting
string
required

JSON-encoded Facebook AdSet targeting spec (merged on top of the preset's audience_targeting). See https://developers.facebook.com/docs/marketing-api/audiences/reference/targeting-specs

Example:
{
"geo_locations": {
"countries": ["US"],
"cities": [
{
"key": "2418779",
"name": "New York",
"region": "New York",
"country": "US",
"radius": 25,
"distance_unit": "mile"
}
],
"location_types": ["home", "recent"]
},
"age_min": 21,
"age_max": 55,
"genders": [1, 2],
"locales": [6],
"flexible_spec": [
{
"interests": [
{ "id": "6003107902433", "name": "Travel" },
{
"id": "6003397425735",
"name": "Outdoor recreation"
}
],
"behaviors": [
{
"id": "6002714895372",
"name": "Frequent Travelers"
}
]
}
],
"exclusions": {
"interests": [
{
"id": "6003020834693",
"name": "Business travel"
}
]
},
"publisher_platforms": ["facebook", "instagram"],
"facebook_positions": ["feed", "video_feeds"],
"instagram_positions": ["stream", "story", "reels"],
"device_platforms": ["mobile", "desktop"],
"targeting_automation": { "advantage_audience": 0 }
}
instagram_id
integer
Example:

17841433491511988

hashtag
string
Example:

"#ad1"

post_ids
string[]

Array of Facebook post IDs to boost. Only these posts will be boosted.

cta
string

Call-to-action button type

cta_url
string

Call-to-action destination URL

dark_posts
enum<string>

Create Facebook dark-post creatives. Defaults to never.

Available options:
never,
when_needed,
always
Example:

"when_needed"

end_date
string

Campaign end date (timestamp)

Response

200 - application/json

Returns true when campaign was successfully created

The response is of type boolean.